Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Pages and Profiles by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>"
    }
  ]
}
'
[
  {
    "id": "100063743733252",
    "url": "https://www.facebook.com/tgfightsport",
    "page_name": "TG-Fight Sport",
    "username": "tgfightsport",
    "entity_type": "PAGE",
    "summary_text": "Martial arts training for all levels...",
    "primary_category": "Martial Arts School",
    "address": { "formatted": "Alleestrasse 1, Beckum, Germany" },
    "phones": ["+49 176 68576249"],
    "emails": ["tg-fightsport@hotmail.com"],
    "websites": null,
    "rating": null,
    "contact_and_basic_info": {
      "basic_info": {
        "hours": { "open_now": true },
        "rating": { "count": 4, "value": 0 }
      },
      "categories": ["Martial Arts School"],
      "contact_info": {
        "address": { "formatted": "Alleestrasse 1, Beckum, Germany, 59269" },
        "emails": ["tg-fightsport@hotmail.com"],
        "websites": ["https://www.tg-fightsport.com/"]
      }
    },
    "followers": 870,
    "logo": "https://...",
    "is_verified": false
  }
]

Query Parameters

dataset_id
string
default:"gd_mf124a0511bauquyow"
required
The dataset ID used for this request.
Must be set to gd_mf124a0511bauquyow to collect Facebook pages and profiles data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.facebook.com/zuck"},
    {"url": "https://www.facebook.com/NASA"}
  ]
}
[
  {
    "id": "100063743733252",
    "url": "https://www.facebook.com/tgfightsport",
    "page_name": "TG-Fight Sport",
    "username": "tgfightsport",
    "entity_type": "PAGE",
    "summary_text": "Martial arts training for all levels...",
    "primary_category": "Martial Arts School",
    "address": { "formatted": "Alleestrasse 1, Beckum, Germany" },
    "phones": ["+49 176 68576249"],
    "emails": ["tg-fightsport@hotmail.com"],
    "websites": null,
    "rating": null,
    "contact_and_basic_info": {
      "basic_info": {
        "hours": { "open_now": true },
        "rating": { "count": 4, "value": 0 }
      },
      "categories": ["Martial Arts School"],
      "contact_info": {
        "address": { "formatted": "Alleestrasse 1, Beckum, Germany, 59269" },
        "emails": ["tg-fightsport@hotmail.com"],
        "websites": ["https://www.tg-fightsport.com/"]
      }
    },
    "followers": 870,
    "logo": "https://...",
    "is_verified": false
  }
]